<?php
// Xinfeng Chen, 2002.11.06
// require_once('base_array_file.php');
// require_once('class_forum_base.php');

class CBoardList extends CBaseArrayFile {
 var $id, $secret, $name, $desc;

 function _explodeRecord($a_line){
  list($this->id,$this->secret,$this->name,$this->desc)
   =explode(SP, $a_line);
 }

 function _composeRecord($a_line){
  $a_line=$this->id.SP.$this->secret.SP.$this->name.SP.$this->desc;
 }

 function _compareRecord($a_key){ return ($a_key==$this->id); }

 function load($a_name=''){
  $fname=CForumBase::getFilePath('BLIST',$a_name);
  return $this->readFile($fname);
 }

 function store($a_name=''){
  $fname=CForumBase::getFilePath('BLIST',$a_name);
  return $this->writeFile($fname);
 }

}
?>